# Security

Our API endpoints use AES encryption for request payloads and Ed25519 for decrypting and verifying response data, ensuring that communications with our server are end-to-end protected. To maintain security, ensure that your  api`Key,` `privateKey, publicKey` and `encryptionKey` remain confidential.

**Getting started with the API, please head over to your dashboard:**

{% stepper %}
{% step %}
**Complete Level 1 KYC**

Complete your level 1 KYC to unlock access to keys generation.
{% endstep %}

{% step %}
**Generate keys**

Generate and securely store your API credentials, encryption key, public key and private key
{% endstep %}

{% step %}
**Encrypt/Decrypt Requests**

Use our provided encryption utilities to encrypt requests and decrypt responses, ensuring that all data exchanged with our API remains secure.
{% endstep %}
{% endstepper %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.prosperavest.com/getting-started/publish-your-docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
